package com.ruoyi.ibs.grid.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 虚拟网格汇总统计_零售对象 grid_virtual_count_lingshou_965
 *
 * @author ruoyi
 * @date 2025-04-28
 */
public class GridVirtualCountLingshou extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 统计日期 */
    @Excel(name = "统计日期")
    private String dt;

    /** 网格id */
//    @Excel(name = "网格id")
    private String gridId;

    /** 网格名称 */
    @Excel(name = "网格名称")
    private String gridName;

    /** 网格类型 */
    @Excel(name = "网格类型")
    private String gridType;

    /** 归属机构层级 */
//    @Excel(name = "归属机构层级")
    private String deptType;

    /** 归属支行 */
//    @Excel(name = "归属支行")
    private String deptId;

    /** 归属支行名称 */
    @Excel(name = "归属支行名称")
    private String deptName;

    /** 归属网点 */
//    @Excel(name = "归属网点")
    private String outletsId;

    /** 归属网点名称 */
    @Excel(name = "归属网点名称")
    private String outletsName;

    /** 归属客户经理 */
    @Excel(name = "归属客户经理")
    private String userName;

    /** 入格客户数 */
    @Excel(name = "入格客户数")
    private Integer custNum;

    /** 近365天已走访人数 */
    @Excel(name = "近365天已走访人数")
    private String zf365cnt;

    /** 近180天已走访人数 */
    @Excel(name = "近180天已走访人数")
    private String zf180cnt;

    /** 近90天已走访人数 */
    @Excel(name = "近90天已走访人数")
    private String zf90cnt;

    /** 近30天已走访人数 */
    @Excel(name = "近30天已走访人数")
    private String zf30cnt;

    /** 近365天走访率 */
    @Excel(name = "近365天走访率")
    private String zf365rt;

    /** 近180天走访率 */
    @Excel(name = "近180天走访率")
    private String zf180rt;

    /** 近90天走访率 */
    @Excel(name = "近90天走访率")
    private String zf90rt;

    /** 近30天走访率 */
    @Excel(name = "近30天走访率")
    private String zf30rt;

    /** 活期存款余额 */
    @Excel(name = "活期存款余额")
    private String curBalD;

    /** 定期存款余额 */
    @Excel(name = "定期存款余额")
    private String curBalT;

    /** 贷款余额 */
    @Excel(name = "贷款余额")
    private String balLoan;

    /** 五级不良贷款余额 */
    @Excel(name = "五级不良贷款余额")
    private String curBal5Bad;

    /** 活期存款年日均 */
    @Excel(name = "活期存款年日均")
    private String curDAve;

    /** 定期存款年日均 */
    @Excel(name = "定期存款年日均")
    private String curTAve;

    /** 贷款年日均 */
    @Excel(name = "贷款年日均")
    private String loanAve;

    /** 建档率 */
    @Excel(name = "建档率")
    private String phRat;

    /** 授信率 */
    @Excel(name = "授信率")
    private String sxRat;

    /** 合同签约率 */
    @Excel(name = "合同签约率")
    private String yxhtRat;

    /** 信用卡覆盖率 */
    @Excel(name = "信用卡覆盖率")
    private String xykRat;

    /** 丰收互联覆盖率 */
    @Excel(name = "丰收互联覆盖率")
    private String fshlRat;

    /** 收单覆盖率 */
    @Excel(name = "收单覆盖率")
    private String sdRat;

    /** ETC覆盖率 */
    @Excel(name = "ETC覆盖率")
    private String etcRat;

    /** 代扣电费覆盖率 */
    @Excel(name = "代扣电费覆盖率")
    private String dianRat;

    /** 贷款黑名单占比 */
    @Excel(name = "贷款黑名单占比")
    private String blackRat;

    /** 五级不良贷款占比(人) */
    @Excel(name = "五级不良贷款占比(人)")
    private String badRat;

    /** 五级不良贷款占比(金额) */
    @Excel(name = "五级不良贷款占比(金额)")
    private String badBalRat;

    /** 建档客户数 */
    @Excel(name = "建档客户数")
    private Integer phNum;

    /** 授信客户数 */
    @Excel(name = "授信客户数")
    private Integer sxNum;

    /** 合同签约客户数 */
    @Excel(name = "合同签约客户数")
    private Integer yxhtNum;

    /** 持有信用卡客户数 */
    @Excel(name = "持有信用卡客户数")
    private Integer xykNum;

    /** 开通丰收互联客户数 */
    @Excel(name = "开通丰收互联客户数")
    private Integer fshlNum;

    /** 收单客户数 */
    @Excel(name = "收单客户数")
    private Integer sdNum;

    /** ETC客户数 */
    @Excel(name = "ETC客户数")
    private Integer etcNum;

    /** 代扣电费客户数 */
    @Excel(name = "代扣电费客户数")
    private Integer dianNum;

    /** 贷款黑名单客户数 */
    @Excel(name = "贷款黑名单客户数")
    private Integer blackNum;

    /** 五级不良贷款客户数 */
    @Excel(name = "五级不良贷款客户数")
    private Integer badNum;

    /** 部室归属 0零售 1公司 2运管 */
//    @Excel(name = "部室归属 0零售 1公司 2运管")
    private String opsDept;



    public void setDt(String dt)
    {
        this.dt = dt;
    }

    public String getDt()
    {
        return dt;
    }
    public void setGridId(String gridId)
    {
        this.gridId = gridId;
    }

    public String getGridId()
    {
        return gridId;
    }
    public void setGridName(String gridName)
    {
        this.gridName = gridName;
    }

    public String getGridName()
    {
        return gridName;
    }
    public void setGridType(String gridType)
    {
        this.gridType = gridType;
    }

    public String getGridType()
    {
        return gridType;
    }
    public void setDeptType(String deptType)
    {
        this.deptType = deptType;
    }

    public String getDeptType()
    {
        return deptType;
    }
    public void setDeptId(String deptId)
    {
        this.deptId = deptId;
    }

    public String getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setOutletsId(String outletsId)
    {
        this.outletsId = outletsId;
    }

    public String getOutletsId()
    {
        return outletsId;
    }
    public void setOutletsName(String outletsName)
    {
        this.outletsName = outletsName;
    }

    public String getOutletsName()
    {
        return outletsName;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setCustNum(Integer custNum)
    {
        this.custNum = custNum;
    }

    public Integer getCustNum()
    {
        return custNum;
    }
    public void setCurBalD(String curBalD)
    {
        this.curBalD = curBalD;
    }

    public String getCurBalD()
    {
        return curBalD;
    }
    public void setCurBalT(String curBalT)
    {
        this.curBalT = curBalT;
    }

    public String getCurBalT()
    {
        return curBalT;
    }
    public void setBalLoan(String balLoan)
    {
        this.balLoan = balLoan;
    }

    public String getBalLoan()
    {
        return balLoan;
    }
    public void setCurBal5Bad(String curBal5Bad)
    {
        this.curBal5Bad = curBal5Bad;
    }

    public String getCurBal5Bad()
    {
        return curBal5Bad;
    }
    public void setCurDAve(String curDAve)
    {
        this.curDAve = curDAve;
    }

    public String getCurDAve()
    {
        return curDAve;
    }
    public void setCurTAve(String curTAve)
    {
        this.curTAve = curTAve;
    }

    public String getCurTAve()
    {
        return curTAve;
    }
    public void setLoanAve(String loanAve)
    {
        this.loanAve = loanAve;
    }

    public String getLoanAve()
    {
        return loanAve;
    }
    public void setPhRat(String phRat)
    {
        this.phRat = phRat;
    }

    public String getPhRat()
    {
        return phRat;
    }
    public void setSxRat(String sxRat)
    {
        this.sxRat = sxRat;
    }

    public String getSxRat()
    {
        return sxRat;
    }
    public void setYxhtRat(String yxhtRat)
    {
        this.yxhtRat = yxhtRat;
    }

    public String getYxhtRat()
    {
        return yxhtRat;
    }
    public void setXykRat(String xykRat)
    {
        this.xykRat = xykRat;
    }

    public String getXykRat()
    {
        return xykRat;
    }
    public void setFshlRat(String fshlRat)
    {
        this.fshlRat = fshlRat;
    }

    public String getFshlRat()
    {
        return fshlRat;
    }
    public void setSdRat(String sdRat)
    {
        this.sdRat = sdRat;
    }

    public String getSdRat()
    {
        return sdRat;
    }
    public void setEtcRat(String etcRat)
    {
        this.etcRat = etcRat;
    }

    public String getEtcRat()
    {
        return etcRat;
    }
    public void setDianRat(String dianRat)
    {
        this.dianRat = dianRat;
    }

    public String getDianRat()
    {
        return dianRat;
    }
    public void setBlackRat(String blackRat)
    {
        this.blackRat = blackRat;
    }

    public String getBlackRat()
    {
        return blackRat;
    }
    public void setBadRat(String badRat)
    {
        this.badRat = badRat;
    }

    public String getBadRat()
    {
        return badRat;
    }
    public void setBadBalRat(String badBalRat)
    {
        this.badBalRat = badBalRat;
    }

    public String getBadBalRat()
    {
        return badBalRat;
    }
    public void setPhNum(Integer phNum)
    {
        this.phNum = phNum;
    }

    public Integer getPhNum()
    {
        return phNum;
    }
    public void setSxNum(Integer sxNum)
    {
        this.sxNum = sxNum;
    }

    public Integer getSxNum()
    {
        return sxNum;
    }
    public void setYxhtNum(Integer yxhtNum)
    {
        this.yxhtNum = yxhtNum;
    }

    public Integer getYxhtNum()
    {
        return yxhtNum;
    }
    public void setXykNum(Integer xykNum)
    {
        this.xykNum = xykNum;
    }

    public Integer getXykNum()
    {
        return xykNum;
    }
    public void setFshlNum(Integer fshlNum)
    {
        this.fshlNum = fshlNum;
    }

    public Integer getFshlNum()
    {
        return fshlNum;
    }
    public void setSdNum(Integer sdNum)
    {
        this.sdNum = sdNum;
    }

    public Integer getSdNum()
    {
        return sdNum;
    }
    public void setEtcNum(Integer etcNum)
    {
        this.etcNum = etcNum;
    }

    public Integer getEtcNum()
    {
        return etcNum;
    }
    public void setDianNum(Integer dianNum)
    {
        this.dianNum = dianNum;
    }

    public Integer getDianNum()
    {
        return dianNum;
    }
    public void setBlackNum(Integer blackNum)
    {
        this.blackNum = blackNum;
    }

    public Integer getBlackNum()
    {
        return blackNum;
    }
    public void setBadNum(Integer badNum)
    {
        this.badNum = badNum;
    }

    public Integer getBadNum()
    {
        return badNum;
    }
    public void setOpsDept(String opsDept)
    {
        this.opsDept = opsDept;
    }

    public String getOpsDept()
    {
        return opsDept;
    }

    public String getZf365cnt() {
        return zf365cnt;
    }

    public void setZf365cnt(String zf365cnt) {
        this.zf365cnt = zf365cnt;
    }

    public String getZf180cnt() {
        return zf180cnt;
    }

    public void setZf180cnt(String zf180cnt) {
        this.zf180cnt = zf180cnt;
    }

    public String getZf90cnt() {
        return zf90cnt;
    }

    public void setZf90cnt(String zf90cnt) {
        this.zf90cnt = zf90cnt;
    }

    public String getZf30cnt() {
        return zf30cnt;
    }

    public void setZf30cnt(String zf30cnt) {
        this.zf30cnt = zf30cnt;
    }

    public String getZf365rt() {
        return zf365rt;
    }

    public void setZf365rt(String zf365rt) {
        this.zf365rt = zf365rt;
    }

    public String getZf180rt() {
        return zf180rt;
    }

    public void setZf180rt(String zf180rt) {
        this.zf180rt = zf180rt;
    }

    public String getZf90rt() {
        return zf90rt;
    }

    public void setZf90rt(String zf90rt) {
        this.zf90rt = zf90rt;
    }

    public String getZf30rt() {
        return zf30rt;
    }

    public void setZf30rt(String zf30rt) {
        this.zf30rt = zf30rt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("dt", getDt())
                .append("gridId", getGridId())
                .append("gridName", getGridName())
                .append("gridType", getGridType())
                .append("createBy", getCreateBy())
                .append("deptType", getDeptType())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("outletsId", getOutletsId())
                .append("outletsName", getOutletsName())
                .append("userName", getUserName())
                .append("custNum", getCustNum())
                .append("curBalD", getCurBalD())
                .append("curBalT", getCurBalT())
                .append("balLoan", getBalLoan())
                .append("curBal5Bad", getCurBal5Bad())
                .append("curDAve", getCurDAve())
                .append("curTAve", getCurTAve())
                .append("loanAve", getLoanAve())
                .append("phRat", getPhRat())
                .append("sxRat", getSxRat())
                .append("yxhtRat", getYxhtRat())
                .append("xykRat", getXykRat())
                .append("fshlRat", getFshlRat())
                .append("sdRat", getSdRat())
                .append("etcRat", getEtcRat())
                .append("dianRat", getDianRat())
                .append("blackRat", getBlackRat())
                .append("badRat", getBadRat())
                .append("badBalRat", getBadBalRat())
                .append("phNum", getPhNum())
                .append("sxNum", getSxNum())
                .append("yxhtNum", getYxhtNum())
                .append("xykNum", getXykNum())
                .append("fshlNum", getFshlNum())
                .append("sdNum", getSdNum())
                .append("etcNum", getEtcNum())
                .append("dianNum", getDianNum())
                .append("blackNum", getBlackNum())
                .append("badNum", getBadNum())
                .append("opsDept", getOpsDept())
                .toString();
    }
}
